# Shortcuts

These endpoints allows you to manage message shortcuts and provides a faster way to type your messages. These endpoints can be used to create, retrieve, update, and delete shortcuts.

### Attributes&#x20;

| ATTRIBUTE      | TYPE              | DESCRIPTION                                                     |
| -------------- | ----------------- | --------------------------------------------------------------- |
| id             | Integer           | Specify the ID of the shortcut                                  |
| shortcut\_name | String            | Specify the name of the shortcut                                |
| message        | String            | Specify the content of the shortcut                             |
| messageJson    | JSON Array Object | <p>Specify the JSON conversion of </p><p>the actual message</p> |
| messageHtml    | String            | <p>Specify the HTML conversion of </p><p>the actual message</p> |
| department     | JSON Array        | Specify the departments that use the shortcut                   |
| groupName      | String            | Specify the group of shortcut                                   |

### Permissions

To request a message shortcuts endpoint, you will need a valid API Key with Message Shortcuts permissions enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/conversation-settings/message-shortcuts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
